@ECHO OFF


setlocal

cd /d "%~dp0"


set ENCODING_FILE=etc\VCSSL_Encoding.ini

type nul > etc\VCSSL_Encoding.ini

SET ENCODING_LINE=



	ECHO  Virtualized Calculation / Simulation Script Language
	ECHO  - V C S S L -
	ECHO ----------------------------------------------------------------------
	ECHO.
	ECHO   スクリプトやデータの読み書きの際に、標準で使用する文字コードを、
	ECHO   下記リストから番号で選んで入力し、Enter キーを押してください。
	ECHO.
	ECHO   推奨の設定を使用する場合は、そのまま Enter キーを押してください。
	ECHO.
	ECHO ======================================================================
	ECHO.
	ECHO  1： UTF-8 
	ECHO　　（新しく使い始める方や、特に理由が無ければこちら）
	ECHO.
	ECHO  2： Shift_JIS / CP932 
	ECHO　　（昔と同じままに保ちたい場合や、文字化けに悩んでいる方はこちら）
	ECHO.
	SET /P ENCODING_LINE=" 使用する文字コード（ 1 か 2 を入力）= "
	ECHO.
	ECHO 設定しました。
	ECHO 内容は、設定ファイル「 %ENCODING_FILE% 」に記載されています。
	ECHO.
	ECHO.


IF "%ENCODING_LINE%"=="1" (
	SET ENCODING_LINE=-Dfile.encoding=UTF-8
) ELSE IF "%ENCODING_LINE%"=="2" (
	SET ENCODING_LINE=-Dfile.encoding=MS932
) ELSE (
	SET ENCODING_LINE=
)


IF NOT "%ENCODING_LINE%" == "" (
	ECHO %ENCODING_LINE%>>%ENCODING_FILE%
)
ECHO.>>%ENCODING_FILE%

pause



endlocal
